ShapeFunctions.h File Reference
`#include "Finley.h"`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes

struct | finley::ShapeFunctionInfo
| this struct holds the definition of the shape functions on an element More...
struct | finley::ShapeFunction
| this struct holds the evaluation of a shape function on a quadrature scheme More...

## Namespaces

| finley
| A suite of factory methods for creating various finley domains.

## Macros

#define | S_INDEX(_J_, _I_, _NUMNODES_) INDEX2(_J_,_I_,_NUMNODES_)
#define | DSDV_INDEX(_J_, _K_, _I_, _NUMNODES_, _DIM_) INDEX3(_J_,_K_,_I_,_NUMNODES_,_DIM_)

## Typedefs

typedef void() | finley::ShapeFunction_Evaluation(int, std::vector< double > &, std::vector< double > &, std::vector< double > &)
typedef boost::shared_ptr< const ShapeFunction > | finley::const_ShapeFunction_ptr

## Enumerations

enum

finley::ShapeFunctionTypeId {
finley::Point1Shape, finley::Line2Shape, finley::Line3Shape, finley::Line4Shape,
finley::Tri3Shape, finley::Tri6Shape, finley::Tri9Shape, finley::Tri10Shape,
finley::Rec4Shape, finley::Rec8Shape, finley::Rec9Shape, finley::Rec12Shape,
finley::Rec16Shape, finley::Tet4Shape, finley::Tet10Shape, finley::Tet16Shape,
finley::Hex8Shape, finley::Hex20Shape, finley::Hex27Shape, finley::Hex32Shape,
finley::NoShape
}

## Variables

ShapeFunction_Evaluation | finley::Shape_Point1
ShapeFunction_Evaluation | finley::Shape_Line2
ShapeFunction_Evaluation | finley::Shape_Line3
ShapeFunction_Evaluation | finley::Shape_Line4
ShapeFunction_Evaluation | finley::Shape_Tri3
ShapeFunction_Evaluation | finley::Shape_Tri6
ShapeFunction_Evaluation | finley::Shape_Tri9
ShapeFunction_Evaluation | finley::Shape_Tri10
ShapeFunction_Evaluation | finley::Shape_Rec4
ShapeFunction_Evaluation | finley::Shape_Rec8
ShapeFunction_Evaluation | finley::Shape_Rec9
ShapeFunction_Evaluation | finley::Shape_Rec12
ShapeFunction_Evaluation | finley::Shape_Rec16
ShapeFunction_Evaluation | finley::Shape_Tet4
ShapeFunction_Evaluation | finley::Shape_Tet10
ShapeFunction_Evaluation | finley::Shape_Tet16
ShapeFunction_Evaluation | finley::Shape_Hex8
ShapeFunction_Evaluation | finley::Shape_Hex20
ShapeFunction_Evaluation | finley::Shape_Hex27
ShapeFunction_Evaluation | finley::Shape_Hex32

## Macro Definition Documentation

## DSDV_INDEX

#define DSDV_INDEX | ( |  | _J_,
|  |  | _K_,
|  |  | _I_,
|  |  | _NUMNODES_,
|  |  | _DIM_
| ) |  | INDEX3(_J_,_K_,_I_,_NUMNODES_,_DIM_)

## S_INDEX

#define S_INDEX | ( |  | _J_,
|  |  | _I_,
|  |  | _NUMNODES_
| ) |  | INDEX2(_J_,_I_,_NUMNODES_)